Bug 591416 - Recompilation produces errors
Summary: Recompilation produces errors
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp   
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 08:21 UTC by Jan Safranek
Modified: 2011-07-21 12:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 09:11:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1076 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2011-07-21 09:07:58 UTC

Description Jan Safranek 2010-05-12 08:21:40 UTC
Description of problem:
when recompiling net-snmp-5.5-9.el5.src.rpm, following errors are produced by ./configure script:

In file included from ./include/net-snmp/utilities.h:54,
                 from ./include/net-snmp/net-snmp-includes.h:74,
                 from ./agent/mibgroup/sctp-mib/sctpTables_common.h:5,
                 from ./agent/mibgroup/sctp-mib/sctpAssocTable.h:8:
./include/net-snmp/library/container.h:14:2: error: #error "Please include <net-snmp/net-snmp-config.h> before this file"


How reproducible:
always

Steps to Reproduce:
1. rpmbuild --rebuild net-snmp-5.3.2.2-9.el5.src.rpm

Actual results:
the aforementioned error during configure phase

Expected results:
no errors

Additional info:
Note that it's output of configure script. Configuration succeeds without problems and result can be compiled withoutany errors. This is just a cosmetic bug!

Comment 3 RHEL Product and Program Management 2011-01-11 20:34:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2011-01-11 23:08:05 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 8 errata-xmlrpc 2011-07-21 09:11:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Comment 9 errata-xmlrpc 2011-07-21 12:22:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html


Note You need to log in before you can comment on or make changes to this bug.